# Class AnimateJsProvider

- Defined in src/animations/animate-js.js:12
- Defined in src/animations/animate-js.js:11

##### Index

### Constructors

constructor

### Properties

$get
$inject

## Constructors

### constructor

- new AnimateJsProvider($animateProvider: any): AnimateJsProvider

  #### Parameters

  - $animateProvider: any

  #### Returns AnimateJsProvider

  - Defined in src/animations/animate-js.js:12

## Properties

### $get

$get: (
| string
| (
(
$injector: InjectorService,
$$AnimateRunner: any,
) => (
element: any,
event: any,
classes: any,
options: any,
...args: any,
) => { $$willAnimate: boolean; end(): any; start(): any }
)
)[]

#### Type declaration

- string
- (
  $injector: InjectorService,
  $$AnimateRunner: any,
  ) => (
  element: any,
  event: any,
  classes: any,
  options: any,
  ...args: any,
  ) => { $$willAnimate: boolean; end(): any; start(): any }
  - - (
      $injector: InjectorService,
      $$AnimateRunner: any,
      ): (
      element: any,
      event: any,
      classes: any,
      options: any,
      ...args: any,
      ) => { $$willAnimate: boolean; end(): any; start(): any }

    - #### Parameters

      - $injector: InjectorService
      - $$AnimateRunner: any

      #### Returns (
      element: any,
      event: any,
      classes: any,
      options: any,
      ...args: any,
      ) => { $$willAnimate: boolean; end(): any; start(): any }

- Defined in src/animations/animate-js.js:13

### `Static`$inject

$inject: string[]

- Defined in src/animations/animate-js.js:11